gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.Orientable

Contents

- Exported types
- Methods
  - getOrientation
  - setOrientation
- Properties
  - orientation

Description

The `Orientable` interface is implemented by all widgets that can be oriented horizontally or vertically. Historically, such widgets have been realized as subclasses of a common base class (e.g `Box`/t`HBox`/t`VBox` or `Scale`/t`HScale`/t`VScale`). `Orientable` is more flexible in that it allows the orientation to be changed at runtime, allowing the widgets to “flip”.

`Orientable` was introduced in GTK+ 2.16.

Synopsis

- newtype Orientable = Orientable (ManagedPtr Orientable)
- class (GObject o, IsDescendantOf Orientable o) => IsOrientable o
- toOrientable :: (MonadIO m, IsOrientable o) => o -> m Orientable
- orientableGetOrientation :: (HasCallStack, MonadIO m, IsOrientable a) => a -> m Orientation
- orientableSetOrientation :: (HasCallStack, MonadIO m, IsOrientable a) => a -> Orientation -> m ()
- constructOrientableOrientation :: (IsOrientable o, MonadIO m) => Orientation -> m (GValueConstruct o)
- getOrientableOrientation :: (MonadIO m, IsOrientable o) => o -> m Orientation
- setOrientableOrientation :: (MonadIO m, IsOrientable o) => o -> Orientation -> m ()

# Exported types

newtype Orientable Source #

Memory-managed wrapper type.

Constructors

Orientable (ManagedPtr Orientable) |

#### Instances

Instances details

Eq Orientable Source # |
Instance details Defined in GI.Gtk.Interfaces.Orientable Methods (==) :: Orientable -> Orientable -> Bool Source # (/=) :: Orientable -> Orientable -> Bool Source #
GObject Orientable Source # |
Instance details Defined in GI.Gtk.Interfaces.Orientable
ManagedPtrNewtype Orientable Source # |
Instance details Defined in GI.Gtk.Interfaces.Orientable Methods toManagedPtr :: Orientable -> ManagedPtr Orientable Source #
TypedObject Orientable Source # |
Instance details Defined in GI.Gtk.Interfaces.Orientable Methods glibType :: IO GType Source #
HasParentTypes Orientable Source # |
Instance details Defined in GI.Gtk.Interfaces.Orientable
IsGValue (Maybe Orientable) Source # | Convert `Orientable` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.Orientable Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Orientable -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Orientable) Source #
type ParentTypes Orientable Source # |
Instance details Defined in GI.Gtk.Interfaces.Orientable type ParentTypes Orientable = '[Object]

class (GObject o, IsDescendantOf Orientable o) => IsOrientable o Source #

Type class for types which can be safely cast to `Orientable`, for instance with `toOrientable`.

#### Instances

Instances details

(GObject o, IsDescendantOf Orientable o) => IsOrientable o Source # |
Instance details Defined in GI.Gtk.Interfaces.Orientable

toOrientable :: (MonadIO m, IsOrientable o) => o -> m Orientable Source #

Cast to `Orientable`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getOrientation, getProperty, getQdata.

#### Setters

setData, setDataFull, setOrientation, setProperty.

## getOrientation

orientableGetOrientation Source #

Arguments

:: (HasCallStack, MonadIO m, IsOrientable a) |
=> a | `orientable`: a `Orientable`
-> m Orientation | Returns: the orientation of the `orientable`.

Retrieves the orientation of the `orientable`.

Since: 2.16

## setOrientation

orientableSetOrientation Source #

Arguments

:: (HasCallStack, MonadIO m, IsOrientable a) |
=> a | `orientable`: a `Orientable`
-> Orientation | `orientation`: the orientable’s new orientation.
-> m () |

Sets the orientation of the `orientable`.

Since: 2.16

# Properties

## orientation

The orientation of the orientable.

Since: 2.16

constructOrientableOrientation :: (IsOrientable o, MonadIO m) => Orientation -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`orientation`” property. This is rarely needed directly, but it is used by `new`.

getOrientableOrientation :: (MonadIO m, IsOrientable o) => o -> m Orientation Source #

Get the value of the “`orientation`” property. When overloading is enabled, this is equivalent to

    get orientable #orientation

setOrientableOrientation :: (MonadIO m, IsOrientable o) => o -> Orientation -> m () Source #

Set the value of the “`orientation`” property. When overloading is enabled, this is equivalent to

    set orientable [ #orientation := value ]